Last Comment Bug 1309660 - add support for backgroundInterval
: add support for backgroundInterval
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Varun Joshi (:vjoshi)
: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on: 1312772
Blocks: 1313113 1309125
  Show dependency treegraph
 
Reported: 2016-10-12 11:17 PDT by Ben Hearsum (:bhearsum)
Modified: 2016-10-27 06:21 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Hearsum (:bhearsum) 2016-10-12 11:17:36 PDT
bug 1309125 is adding "backgroundInterval" as an attribute that can be set on the <update> line that will override how quickly or slowly Firefox downloads a MAR. We need to add support for this in the AppRelease blobs.

Robert, do we need to worry about _not_ setting this for versions of Firefox that don't support it, or will they silently ignore it?
Comment 1 User image Ben Hearsum (:bhearsum) 2016-10-12 11:56:55 PDT
(In reply to Ben Hearsum (:bhearsum) from comment #0)
> bug 1309125 is adding "backgroundInterval" as an attribute that can be set
> on the <update> line that will override how quickly or slowly Firefox
> downloads a MAR. We need to add support for this in the AppRelease blobs.
> 
> Robert, do we need to worry about _not_ setting this for versions of Firefox
> that don't support it, or will they silently ignore it?

Whoops, meant to needinfo
Comment 2 User image Robert Strong [:rstrong] (use needinfo to contact me) 2016-10-12 12:01:42 PDT
No need to worry about it at all. If it is present for a client that doesn't support it it will just be ignored. If it isn't present for a client that does support it it will use the preference value and if that is not present it will use the default value.
Comment 3 User image Ben Hearsum (:bhearsum) 2016-10-12 12:04:41 PDT
(In reply to Robert Strong [:rstrong] (use needinfo to contact me) from comment #2)
> No need to worry about it at all. If it is present for a client that doesn't
> support it it will just be ignored. If it isn't present for a client that
> does support it it will use the preference value and if that is not present
> it will use the default value.

Excellent, this makes things much simpler!
Comment 4 User image [github robot] 2016-10-21 07:48:30 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/1265ae9e90c3c3a19c2ecf6c7b46c4b6accd15f3
Bug 1309660 - add support for backgroundInterval (#158). r=bhearsum
Comment 5 User image Ben Hearsum (:bhearsum) 2016-10-27 06:21:55 PDT
This is in production, thanks Varun!

Note You need to log in before you can comment on or make changes to this bug.